Page MenuHomePhabricator

Make ViolationMessage serializable
Closed, ResolvedPublic

Description

We need to be able to serialize ViolationMessage objects, including all their arguments. (For entity IDs store their serializations, for data values use the standard data value serialization, …)

Patch-For-Review:

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.Jan 30 2018, 12:28 PM
Lucas_Werkmeister_WMDE created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 30 2018, 12:28 PM

Change 408300 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ViolationMessageSerializer

https://gerrit.wikimedia.org/r/408300

Change 408301 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ViolationMessageDeserializer

https://gerrit.wikimedia.org/r/408301

Change 408302 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ViolationMessageSerializationTest

https://gerrit.wikimedia.org/r/408302

Change 408303 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing entity IDs

https://gerrit.wikimedia.org/r/408303

Change 408313 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing entity ID lists

https://gerrit.wikimedia.org/r/408313

Change 408809 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing ItemIdSnakValues

https://gerrit.wikimedia.org/r/408809

Lucas_Werkmeister_WMDE updated the task description. (Show Details)

Change 408840 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing ItemIdSnakValue lists

https://gerrit.wikimedia.org/r/408840

Change 408300 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ViolationMessageSerializer

https://gerrit.wikimedia.org/r/408300

Change 408301 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ViolationMessageDeserializer

https://gerrit.wikimedia.org/r/408301

Change 408302 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ViolationMessageSerializationTest

https://gerrit.wikimedia.org/r/408302

Change 408303 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing entity IDs

https://gerrit.wikimedia.org/r/408303

Change 408313 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing entity ID lists

https://gerrit.wikimedia.org/r/408313

Change 408809 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing ItemIdSnakValues

https://gerrit.wikimedia.org/r/408809

Change 408840 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing ItemIdSnakValue lists

https://gerrit.wikimedia.org/r/408840

WMDE-leszek renamed this task from Make ViolationMessage serializable to Make ViolationMessage serializable (days: 1).Feb 12 2018, 9:26 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
WMDE-leszek renamed this task from Make ViolationMessage serializable (days: 1) to Make ViolationMessage serializable (days: 2).Feb 12 2018, 11:07 AM

Change 409887 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove alternativeMessageKey from serialization

https://gerrit.wikimedia.org/r/409887

Change 409888 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing DataValues

https://gerrit.wikimedia.org/r/409888

Change 409926 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing data value types

https://gerrit.wikimedia.org/r/409926

Change 409981 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing inline code

https://gerrit.wikimedia.org/r/409981

Change 409982 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing constraint scopes

https://gerrit.wikimedia.org/r/409982

Change 409983 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing constraint scope lists

https://gerrit.wikimedia.org/r/409983

Change 409984 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing languages

https://gerrit.wikimedia.org/r/409984

WMDE-leszek renamed this task from Make ViolationMessage serializable (days: 2) to Make ViolationMessage serializable (days: 3).Feb 13 2018, 11:08 AM

Change 409887 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove alternativeMessageKey from serialization

https://gerrit.wikimedia.org/r/409887

Change 409888 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing DataValues

https://gerrit.wikimedia.org/r/409888

Change 410151 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add assertion to serializeStringByIdentity

https://gerrit.wikimedia.org/r/410151

Change 409926 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing data value types

https://gerrit.wikimedia.org/r/409926

Change 409981 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing inline code

https://gerrit.wikimedia.org/r/409981

Change 409982 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing constraint scopes

https://gerrit.wikimedia.org/r/409982

Change 409983 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing constraint scope lists

https://gerrit.wikimedia.org/r/409983

Change 409984 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing languages

https://gerrit.wikimedia.org/r/409984

Change 410151 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add assertion to serializeStringByIdentity

https://gerrit.wikimedia.org/r/410151

Change 410164 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing multilingual text

https://gerrit.wikimedia.org/r/410164

Change 410164 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add support for serializing multilingual text

https://gerrit.wikimedia.org/r/410164

Lucas_Werkmeister_WMDE closed this task as Resolved.Feb 13 2018, 4:59 PM
Lucas_Werkmeister_WMDE claimed this task.

Should be done now. Injecting a serialize and deserializer where needed can be done as part of other tasks.

WMDE-leszek renamed this task from Make ViolationMessage serializable (days: 3) to Make ViolationMessage serializable.Feb 14 2018, 9:39 AM